Bug 116213 - compiler gets internal error: in cp_expr_size
Summary: compiler gets internal error: in cp_expr_size
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Target
TreeView+ depends on / blocked
 
Reported: 2004-02-19 03:40 UTC by Jason
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 3.3.3-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-17 12:55:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cpp output (240.46 KB, text/plain)
2004-02-19 03:43 UTC, Jason
no flags Details

Description Jason 2004-02-19 03:40:57 UTC
Description of problem:
 
g++ gets an internal error

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. compile the attached file

  
Actual results:
BillingAccountForGroupCache.cxx: In member function `bool 
   Cathay::CacheImpl<Cathay::BillingAccountForGroup>::exists(const 
   resip::Data&) const':
BillingAccountForGroupCache.cxx:14: internal compiler error: in
cp_expr_size, 
   at cp/cp-lang.c:308
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccGYpz7s.out file, please attach
this to your bugreport

Expected results:


Additional info:

This problem does not occur with the compiler from redhat-8.0 with
latest updates.

Comment 1 Jason 2004-02-19 03:43:29 UTC
Created attachment 97822 [details]
cpp output

Comment 2 Jakub Jelinek 2004-02-21 00:13:43 UTC
Reduced into smaller testcase: http://gcc.gnu.org/PR14230


Note You need to log in before you can comment on or make changes to this bug.